Gönderen Konu: Ubuntu 15.04 Vmware Kernel Sorunu  (Okunma sayısı 2308 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Daha önce farklı ubuntu sürümlerinde bir çok kez Vmware Workstation kurmuştum bu PC'ye. Ancak 15.04 Ubuntu sürümünde kurduktan sonra açmaya çalıştığımda şu hatayı alıyorum:

before you can run vmware...



Install dedğimde ise böyle oluyor:



Buradaki log gosyasını açamadım çünkü bu dizine erişim iznim yok. Muhakkak windowstaki sağ tık yönetici olarak çalıştır mantığında bi açış yolu vardır ama bulamadım.
/tmp/vmware-root/vmware-7969.log

Sorunu biraz internette araştırdım. Şu videodaki eleman aynı sorunu yaşamış ama onda sorun düzeldi, bende düzelmedi.
https://www.youtube.com/watch?v=tsTVzT-otVg
Bende "linux-headers-3.19.0-15-generic zaten en yeni sürümde" diyor ve hiçbir şey yüklemiyor.

Son olarak şu sayfayı buldum:
http://askubuntu.com/questions/286326/unable-to-start-vmware-workstation-after-upgrade-to-13-04

Burada da bir çözüm bulamadım. Çözüm kısmında Nvidia driverını yeniden kur diyor. Ben varolan iki driverıda kaldırmaya çalıştım ama kaldırmıyor öyle kalıyor:

Üstteki için açık kaynak driverı seçip onu kullan diyorum, alttaki için ise aygıtı kullanmayın diyorum ama olmuyor. İşlemi yapamayıp bi yerde öyle kalıyor.
« Son Düzenleme: 25 Nisan 2015 - 15:37:54 Gönderen: earas »

« Yanıtla #1 : »
Aynı sorunu son iki aydır ben de yaşıyordum.
Sizin araştırıp denediğiniz çözümleri ve diğer bir çok çözümü denedim ancak olmadı.
En son olarak elle kurduğum ve paket depolarında olmayan kernel 3.17 sürümünü kaldırdım.
14.04 LTS için kernel 3.16 var. Synaptic package manager içerisinden kullandığım dağıtımın kernel sürümünün Ubuntu tarafından dağıtılan resmi olanını yükledim.
Vmware hiç bir çabaya gerek kalmadan düzeldi.
Yani benim için ekstra kernel yüklemek hataya sebep oluyor. Dağıtımın resmi kernelini yüklemek çözüm oldu.
Ancak sizin 15.04 için zaten dağıtımın resmi kerneli 3.19 kurulu. Benim probleme benzer ancak farklı bir durum.
Önerim:
synaptic ile linux-headers olarak arama yaptığınızda kurulabilir paketler listesinde bulunan bir kaç sürüm eski bir kernel kurarak Ubuntuyu onunla açıp vmware denemeniz.
3.19 değil de 3.17 veya 3.16 olabilir.
Olay, hazır derlenmiş olarak dağıtımda sunulan 3.19 kernel içindeki ayarların, vmware sanal network kullanımı için gereklilikleri karşılamaması olayı gibi bir şey sanırım.
Kernel derlemeyi kendiniz yapsanız aslında problemler çözülür. Ama kernel derlemek de ayrı bir gerilim kaynağı.
Not 1: Log dosyasını
Kod: [Seç]
sudo cat /tmp/vmware-root/vmware-7969.logveya
Kod: [Seç]
sudo gedit /tmp/vmware-root/vmware-7969.logkomutlarından birisini kullanarak görüntüleyebilirsiniz.

Not 2: Kernel demek daha doğal geldiği için çekirdek demek istemedim. Lütfen, kernel ifadesini çekirdek kabul edin.
ÇU;ZY (Çok Uzun;Zamanım Yok):
vmware derleme hatası ve çekirdek hatası veriyorsa kernelin eski sürümlerinden birisiyle (tercihen önceden çalışırken kulandığınız bir sürüm)bilgisayarı açıp vmware tekrar denemelisiniz. Hata vmware programında değil.



« Yanıtla #2 : »
Şimdi deneyeceğim ancak denemeden önce şunu sormak istiyorum: Eski bir kernel kullanmanın bir dezavatajı var mı? Yani bu kernel sürümleri arasında ne gibi farklılıklar var? Kernel değiştirdim diye kurulu diğer yazılımlarımda sorun yaşanabilir mi? Çok ayrıntılı olarak değil de kısaca anlatsanız da olur. Yeni sürümü eski kenel ile kullanmada bir sakınca var mıdır? Kernel niye güncellenir? Her sürümün (15.04, 14.10 vs) kendine ait keneli mi vardır? Sürümlerle beraber bu kenel da mı güncellenir?
Gerçi çok ayrıntılı cevapları olan sorular sorup kısa cevaplar beklemem hata. En iyisi bu konuyla ilgili bir link falan verilirse oradan takip ederim.

« Yanıtla #3 : »
Bu sorunun kısa bir cevabı yok sanırım. Kernel, sistem modülleri, driverlar veya güvenlik sorunları için yenilenir. Yeni çıkan cihazların tanınması için güncellenir.
Güvenlik sebebiyle kernel güncellenir ancak Ubuntu kendi güncellemelerini zaten yayınlıyor o sebeple kendi kernel yayınını yapıyor. Yani kernel 3.19.1 resmi sürümüne 3.19.1-20 gibi bir sayı ilave ediyor ki hafiften özelleştirdiğini ifade etsin.
Eski numaralı kernel sizi güvenlik açısından Heartbleed gibi bir açık yoksa fazla etkilemez çünkü mesela; ben 14.04 lts ve 3.16 sürüm kernel kullanırken güvenlik güncellemelerini zaten alıyorum. ahaahaha aooooa pp bla....Şu an anlatmaya çalışırken hissettiklerim.
Yükleyin, vmware kullanacağınız zaman grub içerisinden onunla başlatırsınız. Ancak bilgisayarınız HP marka en son sürüm printer ı tanımayabilir. Zaten o tür cihazlar Türkiyeye bir zaman sonra geliyor.
Bence * bir şey olmaz. Eski sürüm de kurup kullanabilirsiniz.

« Yanıtla #4 : »
14.04 sürümünde Nvdia driverım farklı bir sürümdü. 15.04'de ise yeni bir sürücü yükledi. Ben eski kernel yüklersem, bu yeni driverı da o kernel tanımayabilir. Neyse ben en iyisi yükleyip bir bakayım sonra buradan yazarım :D
Yardım için çok sağol.

« Yanıtla #5 : »
Çıktıları bir göreyim @eras. DKMS kurulu mu?

« Yanıtla #6 : »
Önce 3.18 kernel yükledim ancak onunla açılmadı. Sonra 3.17 yükledim ve şuan vmware açıldı. Ayrıca evet dediğim gibi sanal network kartları ve kernel arasındaki bir uyuşmazlıktan kaynaklı. Çünkü 3.17 de vmnet kartını görüyor, 3.19da görmüyor ve sorunu da vmnet kartı aşamasında veriyor zaten. Hemen 3.19 ve 3.18i kaldırdım. 3.17 ile de yeniden başlattım. Açılışta bi 10 saniye siyan bir ekranda "starting 219" yazısı çıkıyor ve ondan sonra ubuntu logosu ve kullanıcı parola giriş ekranı geliyor. Ama açılışta bir sorun yok.

@if DKMS kurulu değil. Hangi çıkyılar lazım?
Bu arada ekran kartını en başından sorun çıkarmasın diye açık kaynak sürücüsüne aldım.

« Yanıtla #7 : »
Kod: [Seç]
sudo cat /tmp/vmware-root/vmware-7969.log istemiştim fakat sistem yeniden başlatıldıysa silinmiştir. Tekrar kurulum yapılmalı ki hata tekrarlansın ve bu kayıt dosyası tekrar oluşsun. Ancak o zaman içeriğini görebiliriz.

« Yanıtla #8 : »
Kod: [Seç]
sudo cat /tmp/vmware-root/vmware-7969.log istemiştim fakat sistem yeniden başlatıldıysa silinmiştir. Tekrar kurulum yapılmalı ki hata tekrarlansın ve bu kayıt dosyası tekrar oluşsun. Ancak o zaman içeriğini görebiliriz.
O kolay. Hemen 3.19 kernel kurar onunla oturum açarsam hata tekrarlanır? Yapayım mı?


Mesaj tekrarı yüzünden mesajınız birleştirildi. Bu mesajın gönderim tarihi : [time]25 Nisan 2015 - 18:54:43[/time]
Gerek kalmadı. Sahipbi bir Nvidia sürücüsü kurdum ve hata tekrarlandı.

Kod: [Seç]

2015-04-25T18:52:16.637+03:00| vthread-4| I120: Log for VMware Workstation pid=3015 version=11.1.0 build=build-2496824 option=Release
2015-04-25T18:52:16.637+03:00| vthread-4| I120: The process is 64-bit.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: Host codepage=UTF-8 encoding=UTF-8
2015-04-25T18:52:16.637+03:00| vthread-4| I120: Host is Linux 3.19.0-15-generic Ubuntu 15.04
2015-04-25T18:52:16.637+03:00| vthread-4| I120: DictionaryLoad: Cannot open file "/usr/lib/vmware/settings": Böyle bir dosya ya da dizin yok.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: Msg_Reset:
2015-04-25T18:52:16.637+03:00| vthread-4| I120: [msg.dictionary.load.openFailed] Cannot open file "/usr/lib/vmware/settings": Böyle bir dosya ya da dizin yok.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: ----------------------------------------
2015-04-25T18:52:16.637+03:00| vthread-4| I120: PREF Optional preferences file not found at /usr/lib/vmware/settings. Using default values.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: DictionaryLoad: Cannot open file "/root/.vmware/config": Böyle bir dosya ya da dizin yok.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: Msg_Reset:
2015-04-25T18:52:16.637+03:00| vthread-4| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/config": Böyle bir dosya ya da dizin yok.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: ----------------------------------------
2015-04-25T18:52:16.637+03:00| vthread-4| I120: PREF Optional preferences file not found at /root/.vmware/config. Using default values.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: PREF Unable to check permissions for preferences file.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: DictionaryLoad: Cannot open file "/root/.vmware/preferences": Böyle bir dosya ya da dizin yok.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: Msg_Reset:
2015-04-25T18:52:16.637+03:00| vthread-4| I120: [msg.dictionary.load.openFailed] Cannot open file "/root/.vmware/preferences": Böyle bir dosya ya da dizin yok.
2015-04-25T18:52:16.637+03:00| vthread-4| I120: ----------------------------------------
2015-04-25T18:52:16.637+03:00| vthread-4| I120: PREF Failed to load user preferences.
2015-04-25T18:52:16.665+03:00| vthread-4| W110: Logging to /tmp/vmware-root/vmware-3015.log
2015-04-25T18:52:16.686+03:00| vthread-4| I120: Obtaining info using the running kernel.
2015-04-25T18:52:16.686+03:00| vthread-4| I120: Created new pathsHash.
2015-04-25T18:52:16.687+03:00| vthread-4| I120: Setting header path for 3.19.0-15-generic to "/lib/modules/3.19.0-15-generic/build/include".
2015-04-25T18:52:16.687+03:00| vthread-4| I120: Validating path "/lib/modules/3.19.0-15-generic/build/include" for kernel release "3.19.0-15-generic".
2015-04-25T18:52:16.687+03:00| vthread-4| I120: using /usr/bin/gcc-4.9 for preprocess check
2015-04-25T18:52:16.691+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "3.19.0-15-generic".
2015-04-25T18:52:16.691+03:00| vthread-4| I120: The header path "/lib/modules/3.19.0-15-generic/build/include" for the kernel "3.19.0-15-generic" is valid.  Whoohoo!
2015-04-25T18:52:16.789+03:00| vthread-4| I120: found symbol version file /lib/modules/3.19.0-15-generic/build/Module.symvers
2015-04-25T18:52:16.789+03:00| vthread-4| I120: Reading symbol versions from /lib/modules/3.19.0-15-generic/build/Module.symvers.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Read 18818 symbol versions
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Reading in info for the vmmon module.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Reading in info for the vmnet module.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Reading in info for the vmblock module.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Reading in info for the vmci module.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Reading in info for the vsock module.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Setting vsock to depend on vmci.
2015-04-25T18:52:16.804+03:00| vthread-4| I120: Invoking modinfo on "vmmon".
2015-04-25T18:52:16.806+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 0.
2015-04-25T18:52:16.806+03:00| vthread-4| I120: Invoking modinfo on "vmnet".
2015-04-25T18:52:16.807+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2015-04-25T18:52:16.807+03:00| vthread-4| I120: Invoking modinfo on "vmblock".
2015-04-25T18:52:16.808+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2015-04-25T18:52:16.808+03:00| vthread-4| I120: Invoking modinfo on "vmci".
2015-04-25T18:52:16.808+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2015-04-25T18:52:16.808+03:00| vthread-4| I120: Invoking modinfo on "vsock".
2015-04-25T18:52:16.809+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 0.
2015-04-25T18:52:16.818+03:00| vthread-4| I120: to be installed: vmnet status: 0
2015-04-25T18:52:16.827+03:00| vthread-4| I120: Obtaining info using the running kernel.
2015-04-25T18:52:16.827+03:00| vthread-4| I120: Setting header path for 3.19.0-15-generic to "/lib/modules/3.19.0-15-generic/build/include".
2015-04-25T18:52:16.827+03:00| vthread-4| I120: Validating path "/lib/modules/3.19.0-15-generic/build/include" for kernel release "3.19.0-15-generic".
2015-04-25T18:52:16.827+03:00| vthread-4| I120: using /usr/bin/gcc-4.9 for preprocess check
2015-04-25T18:52:16.831+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "3.19.0-15-generic".
2015-04-25T18:52:16.831+03:00| vthread-4| I120: The header path "/lib/modules/3.19.0-15-generic/build/include" for the kernel "3.19.0-15-generic" is valid.  Whoohoo!
2015-04-25T18:52:16.930+03:00| vthread-4| I120: found symbol version file /lib/modules/3.19.0-15-generic/build/Module.symvers
2015-04-25T18:52:16.930+03:00| vthread-4| I120: Reading symbol versions from /lib/modules/3.19.0-15-generic/build/Module.symvers.
2015-04-25T18:52:16.944+03:00| vthread-4| I120: Read 18818 symbol versions
2015-04-25T18:52:16.944+03:00| vthread-4| I120: Kernel header path retrieved from FileEntry: /lib/modules/3.19.0-15-generic/build/include
2015-04-25T18:52:16.944+03:00| vthread-4| I120: Update kernel header path to /lib/modules/3.19.0-15-generic/build/include
2015-04-25T18:52:16.944+03:00| vthread-4| I120: Validating path "/lib/modules/3.19.0-15-generic/build/include" for kernel release "3.19.0-15-generic".
2015-04-25T18:52:16.944+03:00| vthread-4| I120: using /usr/bin/gcc-4.9 for preprocess check
2015-04-25T18:52:16.948+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "3.19.0-15-generic".
2015-04-25T18:52:16.948+03:00| vthread-4| I120: The header path "/lib/modules/3.19.0-15-generic/build/include" for the kernel "3.19.0-15-generic" is valid.  Whoohoo!
2015-04-25T18:52:16.949+03:00| vthread-4| I120: Found compiler at "/usr/bin/gcc"
2015-04-25T18:52:16.950+03:00| vthread-4| I120: Got gcc version "4.9.2".
2015-04-25T18:52:16.950+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2015-04-25T18:52:16.950+03:00| vthread-4| I120: Using user supplied compiler "/usr/bin/gcc".
2015-04-25T18:52:16.952+03:00| vthread-4| I120: Got gcc version "4.9.2".
2015-04-25T18:52:16.952+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2015-04-25T18:52:16.954+03:00| vthread-4| I120: Trying to find a suitable PBM set for kernel "3.19.0-15-generic".
2015-04-25T18:52:16.954+03:00| vthread-4| I120: No matching PBM set was found for kernel "3.19.0-15-generic".
2015-04-25T18:52:16.955+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2015-04-25T18:52:16.955+03:00| vthread-4| I120: Validating path "/lib/modules/3.19.0-15-generic/build/include" for kernel release "3.19.0-15-generic".
2015-04-25T18:52:16.955+03:00| vthread-4| I120: using /usr/bin/gcc-4.9 for preprocess check
2015-04-25T18:52:16.958+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "3.19.0-15-generic".
2015-04-25T18:52:16.958+03:00| vthread-4| I120: The header path "/lib/modules/3.19.0-15-generic/build/include" for the kernel "3.19.0-15-generic" is valid.  Whoohoo!
2015-04-25T18:52:16.959+03:00| vthread-4| I120: The GCC version matches the kernel GCC minor version like a glove.
2015-04-25T18:52:16.959+03:00| vthread-4| I120: Validating path "/lib/modules/3.19.0-15-generic/build/include" for kernel release "3.19.0-15-generic".
2015-04-25T18:52:16.959+03:00| vthread-4| I120: using /usr/bin/gcc-4.9 for preprocess check
2015-04-25T18:52:16.963+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "3.19.0-15-generic".
2015-04-25T18:52:16.963+03:00| vthread-4| I120: The header path "/lib/modules/3.19.0-15-generic/build/include" for the kernel "3.19.0-15-generic" is valid.  Whoohoo!
2015-04-25T18:52:16.963+03:00| vthread-4| I120: Using temp dir "/tmp".
2015-04-25T18:52:16.963+03:00| vthread-4| I120: Obtaining info using the running kernel.
2015-04-25T18:52:16.963+03:00| vthread-4| I120: Setting header path for 3.19.0-15-generic to "/lib/modules/3.19.0-15-generic/build/include".
2015-04-25T18:52:16.963+03:00| vthread-4| I120: Validating path "/lib/modules/3.19.0-15-generic/build/include" for kernel release "3.19.0-15-generic".
2015-04-25T18:52:16.963+03:00| vthread-4| I120: using /usr/bin/gcc-4.9 for preprocess check
2015-04-25T18:52:16.967+03:00| vthread-4| I120: Preprocessed UTS_RELEASE, got value "3.19.0-15-generic".
2015-04-25T18:52:16.967+03:00| vthread-4| I120: The header path "/lib/modules/3.19.0-15-generic/build/include" for the kernel "3.19.0-15-generic" is valid.  Whoohoo!
2015-04-25T18:52:17.064+03:00| vthread-4| I120: found symbol version file /lib/modules/3.19.0-15-generic/build/Module.symvers
2015-04-25T18:52:17.064+03:00| vthread-4| I120: Reading symbol versions from /lib/modules/3.19.0-15-generic/build/Module.symvers.
2015-04-25T18:52:17.078+03:00| vthread-4| I120: Read 18818 symbol versions
2015-04-25T18:52:17.078+03:00| vthread-4| I120: Invoking modinfo on "vmnet".
2015-04-25T18:52:17.080+03:00| vthread-4| I120: "/sbin/modinfo" exited with status 256.
2015-04-25T18:52:17.211+03:00| vthread-4| I120: Setting destination path for vmnet to "/lib/modules/3.19.0-15-generic/misc/vmnet.ko".
2015-04-25T18:52:17.212+03:00| vthread-4| I120: Extracting the vmnet source from "/usr/lib/vmware/modules/source/vmnet.tar".
2015-04-25T18:52:17.215+03:00| vthread-4| I120: Successfully extracted the vmnet source.
2015-04-25T18:52:17.215+03:00| vthread-4| I120: Building module with command "/usr/bin/make -j4 -C /tmp/modconfig-FKOPOV/vmnet-only auto-build HEADER_DIR=/lib/modules/3.19.0-15-generic/build/include CC=/usr/bin/gcc IS_GCC_3=no"
2015-04-25T18:52:18.107+03:00| vthread-4| W110: Failed to build vmnet.  Failed to execute the build command.

 Edit:
Şuan sudo update-grub ile baktım ve 3.19 kernel kurmuş kendi kendine
« Son Düzenleme: 25 Nisan 2015 - 18:56:30 Gönderen: earas »

« Yanıtla #9 : »
3.19 kendi kendine kurulmaz, ya kaldırmamışsındır ya da başka bir şey olmuştur. Şimdi, sorunu anlamak adına şunları sormak istiyorum.
Bu sorun hem 3.17 hem de 3.19 ile mi oluyor şu an? Nvidia sürücülerinden önce 3.17'de yoktu, kurduktan sonra onda da mı oldu?

Şu iki bağlantı dursun kenarda:
http://askubuntu.com/questions/414783/unable-to-run-vmware-failed-to-build-vmnet
https://communities.vmware.com/message/2425115#2425115

Uçbirimi açıp:
Kod: [Seç]
mkdir vmware_player
cd vmware_player
cp /usr/lib/vmware/modules/source/vmnet.tar .
tar xvf vmnet.tar
dediğinde ne çıkıyor içinden? (Üçüncü komutun sonunda bir boşluk ve nokta var, gözünden kaçmasın)
Orada bir yerde netif.c dosyası olacak, onu bir metin düzenleyici ile açıp şu satırı:
Kod: [Seç]
dev = alloc_netdev(sizeof *netIf, deviceName, VNetNetIfSetup);şu şekle getir:
Kod: [Seç]
dev = alloc_netdev(sizeof *netIf, deviceName, NET_NAME_UNKNOWN, VNetNetIfSetup);
Bunun ardından tekrar dizini vmnet.tar şeklinde paketlememiz lazım ancak yapıyı kestiremediğim için nokta atışı tarif veremiyorum. Dosyalar bir dizine de çıkabilir, ortalık yere de nasıl arşivlendiği önemli burada. Fakat, temelde yapacağımız şey çıkan dosyaların içinden netif.c dosyasını düzenleyip kayıt etmek ve aynı dosya veya dizinleri vmnet.tar şeklinde arşivlemek. Yapıyı bozma ama bu önemli. Kısacası dizinler dosyalar nasılsa aynen öyle arşivle. Bunun için de hepsin veya tek bir dizin çıktıysa bunu seçip, sağ tıklayıp "Sıkıştır" diyecek, ardından da tar.gz falan değil sadece .tar yapacaksın. İsmi de haliyle vmnet.tar olacak. Sonra bunu eski yerine taşı:

Kod: [Seç]
sudo mv vmnet.tar /usr/lib/vmware/modules/source/
Sonra tekrar dene ne deniyorsan.

Bu arada görsel hiçbir uygulamayı sudo'ya -H parametresi vermeden kullanma. Örnekler:

Kod: [Seç]
sudo -H nautilus
sudo -H gedit falanca_dosya

Ek bilgi bu.

Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #10 : »
Tamamen kaldırdığıma eminim çünkü kaldırdıktan sonra hem update-grub yaptığımda sadece 3.17 vardı hem de açılışta kernel seçerken sadece 3.17 kalmıştı. Ama gösterdiği nvidia driverları, 3.17 de çıkmayan, 3.19 ile gelen yeni driverlardı ve 3.17 ile tekrar ek sürücüleri taratsam da değişmedi. Bende yükleyip restart ettim ama 3.19 yüklü gelmişti. Sistemi daha önce minimum 2 kez yeniden başlattım. Nvidia driver kurulumundan sonra 3.19 kernel geldi
Sorun 3.17 de hiç olmadı. Sadece 3.19'da oldu. Nvidia sürücüsünü yükledikten sonra 3.17 ile giriş yapamadım. Siyah ekranda kaldı. Ayrıca 3.19 da açık kaynak sürücüyle de aynı sorunu yaşadım. Sürücüyle değil kernel ile ilgili sanırım.

Bu kadar sorun yaşadıktan sonra ben 14.04'e dönüş yaptığım için söylediklerini deneyemedim. Sanalda denemek için ortam oluşturdum, sanalda olursa fizikselde de yapacaktım ancak vmware içinde vmware kurulumuyla ilgili sorun yaşadım. Bu akşam o sorunu da çözüp deneyeceğim. Fakat 14.04 ile mutluyum ve yeterince sıfırdan kurulum yaptım. Olsa bile 15.04'e hemen geçeceğimi sanmıyorum. Çünkü sıfırdan kurulumlar, wine ayarlarım vs çok zamanımı aldı. 14.04 gayet iyi :D

Aslında kendi sistemimde bazı sorunlar yaşasam da 15.04 de iyi. Gelen yeni driver daha önceden driver kaynaklı donarak çalışan bir oyunu gayet iyi oynayabilmemi sağladı. Zaten haftada 1 saat falan oyun oynamaya vaktim kalıyor ancak test amaçlı Ubuntu & Oyun ilişkisine hep dikkat ediyorum. (Bence Ubuntu oyunlarda başarılı olduğu zamanlar, daha çok talep görecek)
Yani 15.04'ü Nvidia driverı için bile tercih edebilirim. Ancak ufak tefek yaşadığım sorunları saymasak da vmware benim için önemli. Bu yüzden sorun yaşamadığım 14.04 ile devam edeceğim.

Bu sorunu yaşayan arkadaşlar bu yazan çözüm önerisini deneyip bilgi verirse faydalı olur.
« Son Düzenleme: 28 Nisan 2015 - 12:21:11 Gönderen: earas »

« Yanıtla #11 : »
Alıntı
VMware Workstation 11.1.0 and Player (Pro) 7.1.0 support kernels up to 3.18.

3.19 çekirdeği için çözüm:
Kod: [Seç]
curl http://pastie.org/pastes/9934018/download -o /tmp/vmnet-3.19.patch
cd /usr/lib/vmware/modules/source
sudo -i
tar -xf vmnet.tar
patch -p0 -i /tmp/vmnet-3.19.patch
tar -cf vmnet.tar vmnet-only
rm -r *-only
vmware-modconfig --console --install-all

https://communities.vmware.com/message/2469395
https://wiki.archlinux.org/index.php/VMware